import * as React from 'react';

export const TableSVG = ({
  height, 
  width, 
  yOffset, 
  setPlotAttribute,
	data
}) => { 
  const extractPlotData = (data, plotValue) => {
    return data.map(plotValue).sort()
  }
  const updateValue = (id) => {
    const plotValue = d => d[id];
    const newValue = data.map(plotValue()).sort()
  	console.log(plotValue)
  };
  return (
  <g transform={`translate(${width / 2}, ${height + yOffset})`}>
    <text className="pie-table"> 
      <tspan id="proportions" onMouseOver={(event) => updateValue(event.target.id)} dx="20">Ukupno</tspan>
      <tspan id="propC19" onMouseOver={(event) => setPlotAttribute(event.target.id)} dx="50">COVID-19</tspan>
      <tspan id="propOther" onMouseOver={(event) => console.log(event.target.id)} dx="50">Ostale svrhe</tspan>
    </text>
  </g>
);
}